package com.qmth.teachcloud.mark.dto.mark.manage;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

public class MarkUserGroupProgressDto {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long markUserGroupId;
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;
    private String loginName;
    private String name;
    private String orgName;
    private Integer groupNumber;
    private String groupQuestions;
    private Integer taskCount;
    private Integer topCount;
    private Integer markedCount;
    private Integer currentCount;
    // 重置状态
    private Boolean resetting;

    public Long getMarkUserGroupId() {
        return markUserGroupId;
    }

    public void setMarkUserGroupId(Long markUserGroupId) {
        this.markUserGroupId = markUserGroupId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public String getGroupQuestions() {
        return groupQuestions;
    }

    public void setGroupQuestions(String groupQuestions) {
        this.groupQuestions = groupQuestions;
    }

    public Integer getTaskCount() {
        return taskCount;
    }

    public void setTaskCount(Integer taskCount) {
        this.taskCount = taskCount;
    }

    public Integer getTopCount() {
        return topCount;
    }

    public void setTopCount(Integer topCount) {
        this.topCount = topCount;
    }

    public Integer getMarkedCount() {
        return markedCount;
    }

    public void setMarkedCount(Integer markedCount) {
        this.markedCount = markedCount;
    }

    public Integer getCurrentCount() {
        return currentCount;
    }

    public void setCurrentCount(Integer currentCount) {
        this.currentCount = currentCount;
    }

    public Boolean getResetting() {
        return resetting;
    }

    public void setResetting(Boolean resetting) {
        this.resetting = resetting;
    }
}
